#include <bits/stdc++.h>

using namespace std;

int main()
{

    char a;
    char b;

    int alen;
    int blen;

    cin >> a;
    cin >> b;
    cin >> alen;
    cin >> blen;

    if(abs(alen - blen) > 1)
    {
        cout << "nemoguce" << '\n';
        return 0;
    }


    if(alen == blen)
    {
        for(int i = 0; i < blen; i++)
        {
            cout << a << b;

        }
    }
    else if(alen > blen)
    {
        for(int i = 0; i < blen; i++)
        {
            cout << a << b;

        }

        cout << a;
    }
    else
    {
        for(int i = 0; i < alen; i++)
        {
            cout << b << a;

        }
        cout << b;
    }






    return 0;
}